# Class ScriptException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.jmol.script.ScriptException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ScriptInterruption`

public class ScriptException extends Exception

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getErrorMessageUntranslated()`
`String`
`getMessage()`
`String`
`toString()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getErrorMessageUntranslated

protected String getErrorMessageUntranslated()

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

### toString

public String toString()

Overrides:
  `toString` in class `Throwable`